#
Prev | IMPLEMENTATION NOT COMPLETED 10/08/08 | Next

# linkButton

## Name

linkButton -- A widget which can be used to direct the user to a www uri.

## Synopsis

linkButton [`-option` `value`...]

## Screenshot

## Options

-active

  type: boolean

  This option sets the widget active. Since one button of the group must be active, a button can only set to non active by setting another button to active. This overrides the value of the associated variable. The associated variable is set accordingly.

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-hasFocus

  type: 1

  This sets the focus to the widget. To unset the focus it must be set to another widet.

-indicatorOn

  type: boolean (default: true)

  Determines whether or not the toggle button is drawn on screen

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-onClicked

  type: string (default: "")

  Tcl script which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10.

  Before evaluation the following percent strings are substituated:

| %w | widget name
| %u | uri

-onPopupMenu

  type: string (default: "")

  Tcl script which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10.

  Before evaluation the following percent strings are substituated:

| %w | widget name.

-onShowHelp

  type: string (default: "")

  Tcl script which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1.

  Before evaluation the following percent strings are substituated:

| %w | widget name.
| %h | help type: either "whatsThis" or "tooltip"

-relief

  type: ONEOF normal, half, none (default: normal)

  Relief of the button.

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-text

  type: string

  Text of the button. If this option is set, then the button will not display the uri.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-uri

  type: string

  The uri that the widget is linked to. This value needs to be set for the wdiget to function properly. If the -text option is also set, then the widget will display the text, yet still link to the specified uri.

-variable

  type: string

  (Required option) Name of a (global) variable which is changed when the state of the button changes. All radio buttons with the same variable are in one group. If the variable does not exist and the option -active is not set to 0, it is created and set to the value of the first button in the group. If the variable does exist and its value corresponds to the value of a button in this group, this button is selected. If the value of variable is set externally (e.g. via the set), the corresponding button in the group is selected and its associated command executed.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

## Description

A radio button is like a checkbutton, but in a group of radio buttons only one can be selected. All radio buttons which use the same variable form a group. The value of the group is the value of the active radio button. The variable contains always the group value.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated Tcl script.

`id` onClicked

  Executes the command given by the -onToggled option of the active item in the group.

## Example

    set box [gnocl::box]

    set but5 [gnocl::linkButton -uri www.bbc.co.uk -onClicked {eval exec firefox %u &}]]

    set but6 [gnocl::linkButton -uri www.bbc.co.uk -text HOMEPAGE -onClicked {eval exec firefox %u &}]]

    $box add [list $but5 $but6 ]

results in

## See also

button, checkButton, `GtkRadioButton`

Prev | Home | Next
comboBox | Up | entry